# Method: monetization.onetimeproducts.patch

- [HTTP request](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.onetimeproducts/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.onetimeproducts/patch#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.onetimeproducts/patch#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.onetimeproducts/patch#body.request_body)
- [Response body](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.onetimeproducts/patch#body.response_body)
- [Authorization scopes](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.onetimeproducts/patch#body.aspect)
- [Try it!](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.onetimeproducts/patch#try-it)

Creates or updates a one-time product.

### HTTP request

`PATCH https://androidpublisher.googleapis.com/androidpublisher/v3/applications/{oneTimeProduct.packageName}/onetimeproducts/{oneTimeProduct.productId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `oneTimeProduct.packageName` | `string` Required. Immutable. Package name of the parent app. |
| `oneTimeProduct.productId` | `string` Required. Immutable. Unique product ID of the product. Unique within the parent app. Product IDs must start with a number or lowercase letter, and can contain numbers (0-9), lowercase letters (a-z), underscores (_), and periods (.). |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Required. The list of fields to be updated. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |
| `regionsVersion` | ``object (`https://developers.google.com/android-publisher/api-ref/rest/v3/RegionsVersion`)`` Required. The version of the available regions being used for the one-time product. |
| `allowMissing` | `boolean` Optional. If set to true, and the one-time product with the given packageName and productId doesn't exist, the one-time product will be created. If a new one-time product is created, updateMask is ignored. |
| `latencyTolerance` | ``enum (`https://developers.google.com/android-publisher/api-ref/rest/v3/ProductUpdateLatencyTolerance`)`` Optional. The latency tolerance for the propagation of this product upsert. Defaults to latency-sensitive. |

### Request body

The request body contains an instance of `https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.onetimeproducts#OneTimeProduct`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.onetimeproducts#OneTimeProduct`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidpublisher`